| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
ConvMemValueSeries< T > Class Template Reference
General

`#include <convmemvalseries.h>`

Inheritance diagram for ConvMemValueSeries< T >:
[legend]

## Public Member Functions
| ConvMemValueSeries (od_int64 sz, const BinDataDesc &stortype, bool doundef=true, const Scaler *scaler=0)
| ~ConvMemValueSeries ()
const T * | arr () const override
T * | arr () override
ValueSeries< T > * | clone () const override
BinDataDesc | dataDesc () const
bool | handlesUndef () const
bool | isOK () const override
bool | reSizeable () const override
bool | selfSufficient () const override
void | setEmpty () override
bool | setSize (od_int64) override
void | setValue (od_int64 idx, T v) override
od_int64 | size () const override
char * | storArr ()
const char * | storArr () const
T | value (od_int64 idx) const override
bool | writable () const override
Public Member Functions inherited from ValueSeries< T >
virtual | ~ValueSeries ()
virtual char | bytesPerItem () const
virtual bool | canSetAll () const
void | getValues (T *, od_int64 nrvals) const
void | getValues (ValueSeries< T > &, od_int64 nrvals) const
T | operator[] (od_int64 idx) const
virtual void | setAll (T)

## Protected Attributes
DataInterpreter< T > | interpreter_
char * | ptr_
BinDataDesc | rettype_
const Scaler * | scaler_
od_int64 | size_
UndefArrayHandler * | undefhandler_

## Detailed Description

template<class T>
class ConvMemValueSeries< T >

ValueSeries that holds data in memory, but the memory may be of a different format than T. I.e. a ValueSeries<float> can have it's values stored as chars.

<>

## Constructor & Destructor Documentation

## ◆ ConvMemValueSeries()

template<class T >

ConvMemValueSeries< T >::ConvMemValueSeries | ( | od_int64 | sz,
|  | const BinDataDesc & | stortype,
|  | bool | doundef = true,
|  | const Scaler * | scaler = 0 )
| inline

## ◆ ~ConvMemValueSeries()

template<class T >

ConvMemValueSeries< T >::~ConvMemValueSeries | ( |  | ) |
| inline

## Member Function Documentation

## ◆ arr() [1/2]

template<class T >

const T * ConvMemValueSeries< T >::arr | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ arr() [2/2]

template<class T >

T * ConvMemValueSeries< T >::arr | ( |  | ) |
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ clone()

template<class T >

ValueSeries< T > * ConvMemValueSeries< T >::clone | ( |  | ) | const
| inline override virtual

Implements ValueSeries< T >.

## ◆ dataDesc()

template<class T >

BinDataDesc ConvMemValueSeries< T >::dataDesc | ( |  | ) | const
| inline

## ◆ handlesUndef()

template<class T >

bool ConvMemValueSeries< T >::handlesUndef | ( |  | ) | const
| inline

## ◆ isOK()

template<class T >

bool ConvMemValueSeries< T >::isOK | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ reSizeable()

template<class T >

bool ConvMemValueSeries< T >::reSizeable | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ selfSufficient()

template<class T >

bool ConvMemValueSeries< T >::selfSufficient | ( |  | ) | const
| inline override virtual

Returns
  true if not depending on other objects

Reimplemented from ValueSeries< T >.

## ◆ setEmpty()

template<class T >

void ConvMemValueSeries< T >::setEmpty | ( |  | ) |
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ setSize()

template<class T >

bool ConvMemValueSeries< T >::setSize | ( | od_int64 | sz | ) |
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ setValue()

template<class T >

void ConvMemValueSeries< T >::setValue | ( | od_int64 | idx,
|  | T | v )
| inline override virtual

Reimplemented from ValueSeries< T >.

## ◆ size()

template<class T >

od_int64 ConvMemValueSeries< T >::size | ( |  | ) | const
| inline override virtual

Implements ValueSeries< T >.

## ◆ storArr() [1/2]

template<class T >

char * ConvMemValueSeries< T >::storArr | ( |  | ) |
| inline

## ◆ storArr() [2/2]

template<class T >

const char * ConvMemValueSeries< T >::storArr | ( |  | ) | const
| inline

## ◆ value()

template<class T >

T ConvMemValueSeries< T >::value | ( | od_int64 | idx | ) | const
| inline override virtual

Implements ValueSeries< T >.

## ◆ writable()

template<class T >

bool ConvMemValueSeries< T >::writable | ( |  | ) | const
| inline override virtual

Reimplemented from ValueSeries< T >.

## Member Data Documentation

## ◆ interpreter_

template<class T >

DataInterpreter<T> ConvMemValueSeries< T >::interpreter_
| protected

## ◆ ptr_

template<class T >

char* ConvMemValueSeries< T >::ptr_
| protected

## ◆ rettype_

template<class T >

BinDataDesc ConvMemValueSeries< T >::rettype_
| protected

## ◆ scaler_

template<class T >

const Scaler* ConvMemValueSeries< T >::scaler_
| protected

## ◆ size_

template<class T >

od_int64 ConvMemValueSeries< T >::size_
| protected

## ◆ undefhandler_

template<class T >

UndefArrayHandler* ConvMemValueSeries< T >::undefhandler_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025